/*
   Control for Background Sound Player - KDE kaudio

   Copyright 1998 by Kurt Siegl <007@netrek.org>
   Permission to use, modify, copy and distribute this software without
   fee is hereby granted as long as this notice is left here.
*/

#include <sys/ipc.h>
#include <sys/shm.h>
#include <signal.h>

#include <qapp.h>
#include "Control.h"

Control::Control(int shmidPar, int returnpidPar ):QObject()
{
  shmid = shmidPar;
  returnpid = returnpidPar;

  if ((shared_data = (struct shm_sound *) shmat (shmid, 0, 0)) == (void *) -1)
    {
      sigRet (1);
      fatal("SHMAT");
    }

   if (player->serverStatus())
     {
       sigRet (1);
       fatal("Initialisation of KDE Audio player failed");
     }

   idle();
}

void 
Control::idle()
{
  shared_data->play_sound = false;
  // debug("Sound idle");
}

void 
Control::sigRet (int x)
{
  switch (x)
    {
    case (0):
      kill (returnpid, SIGUSR1);
      break;
    case (1):
      kill (returnpid, SIGUSR2);
    default:
      fatal("Unknown return Signal: %i",x);
    }
}







